# SPDX-License-Identifier: GPL-2.0 OR BSD-2-Clause
%YAML 1.2
---
$id: http://devicetree.org/schemas/sound/qcom,q6adm.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Qualcomm Audio Device Manager (Q6ADM)

maintainers:
  - Krzysztof Kozlowski <krzk@kernel.org>
  - Srinivas Kandagatla <srinivas.kandagatla@linaro.org>

allOf:
  - $ref: /schemas/soc/qcom/qcom,apr-services.yaml#

properties:
  compatible:
    enum:
      - qcom,q6adm

  routing:
    type: object
    $ref: /schemas/sound/qcom,q6adm-routing.yaml#
    unevaluatedProperties: false
    description: Qualcomm DSP LPASS audio routing

required:
  - compatible
  - routing

unevaluatedProperties: false

examples:
  - |
    #include <dt-bindings/soc/qcom,apr.h>

    apr {
        #address-cells = <1>;
        #size-cells = <0>;

        service@8 {
            compatible = "qcom,q6adm";
            reg = <APR_SVC_ADM>;
            qcom,protection-domain = "avs/audio", "msm/adsp/audio_pd";

            routing {
                compatible = "qcom,q6adm-routing";
                #sound-dai-cells = <0>;
            };
        };
    };
